libhsm_key_t Struct Reference

`#include <libhsm.h>`

## Data Fields

char * | modulename
unsigned long | private_key
unsigned long | public_key

## Detailed Description

HSM Key Pair

Definition at line 102 of file libhsm.h.

## Field Documentation

## modulename

char* libhsm_key_t::modulename

name of the module, as in hsm_session_t.module.name

Definition at line 103 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_print_key(), and libhsm_key_free().

## private_key

unsigned long libhsm_key_t::private_key

private key within module

Definition at line 104 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_get_key_id(), hsm_print_key(), and hsm_remove_key().

## public_key

unsigned long libhsm_key_t::public_key

public key within module

Definition at line 105 of file libhsm.h.

Referenced by hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_print_key(), and hsm_remove_key().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h